# Created by pyp2rpm-3.3.5
%global pypi_name lark-parser

%bcond_with docs
%bcond_with check

Name:           python-%{pypi_name}
Version:        0.11.2
Release:        %mkrel 4
Summary:        a modern parsing library
Group:          Development/Python
License:        MIT
URL:            https://github.com/lark-parser/lark
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(js2py)
BuildRequires:  python3dist(regex)
BuildRequires:  python3dist(setuptools)
%if %{with docs}
BuildRequires:  python3dist(recommonmark)
BuildRequires:  python3dist(sphinx)
BuildRequires:	python3dist(sphinx-gallery)
BuildRequires:	python3dist(sphinx-markdown-tables)
%endif

%description
Lark is a parsing toolkit for Python, built with a focus on ergonomics,
performance and modularity.

Lark can parse all context-free languages. To put it simply, it means that it
is capable of parsing almost any programming language out there, and to some
degree most natural languages too.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Lark is a parsing toolkit for Python, built with a focus on ergonomics,
performance and modularity.

Lark can parse all context-free languages. To put it simply, it means that it
is capable of parsing almost any programming language out there, and to some
degree most natural languages too.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%if %{with check}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/lark
%{python3_sitelib}/lark-stubs
%{python3_sitelib}/lark_parser-%{version}-py%{python3_version}.egg-info
%if %{with docs}
%doc html
%endif


%changelog
* Tue Dec 19 2023 papoteur <papoteur> 0.11.2-4.mga10
+ Revision: 2019481
- Mass Rebuild - Python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.11.2-3.mga9
+ Revision: 1825034
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.11.2-2.mga9
+ Revision: 1783885
- rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.11.2-1.mga9
+ Revision: 1703398
- imported package python-lark-parser

